Bug Hunting Session
Bug 91633 - data table dialog crash on exit
Summary: data table dialog crash on exit
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-26 08:50 UTC by Michael Meeks
Modified: 2016-10-25 19:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (76.77 KB, application/zip)
2015-05-26 12:25 UTC, Noel Grandin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-05-26 08:50:08 UTC
<moggi> mmeeks: the data label dialog in chart2 needs an audit and the data table dialog crashes during exit
Comment 1 Noel Grandin 2015-05-26 12:25:42 UTC
Created attachment 116049 [details]
test file

Test file from moggi,
go into chart edit mode,
select chart,
right click,
Data Table,
close dialog,
crash in dbgutil builds
Comment 2 Michael Meeks 2015-05-26 16:48:03 UTC
Found a silly around the lifecycle of FixedText's - causing a crash in dbgutil mode there. I tested all the nice dialogs around various other chart properties that I could see, and didn't get any problems.

Thanks for the report !
Comment 3 Commit Notification 2015-05-26 16:48:49 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc7b8dab7522886f13780950c93033e3369da285

tdf#91633 - dispose chart data-table entries correctly.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-05-28 08:50:32 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71079c49ec377ecca2a4410a41d3de3dcd7e07ff&h=libreoffice-5-0

tdf#91633 - dispose chart data-table entries correctly.

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jean-Baptiste Faure 2016-04-24 16:20:28 UTC
Version set from commit notification.

Best regards. JBF